Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### mousePressed()

Examples

    // Click within the image to change
    // the value of the rectangle

    int value = 0;

    void draw() {
      fill(value);
      rect(25, 25, 50, 50);
    }

    void mousePressed() {
      if(value == 0) {
        value = 255;
      } else {
        value = 0;
      }
    }

Description | The mousePressed() function is called once after every time a mouse button is pressed. The mouseButton variable (see the related reference entry) can be used to determine which button has been pressed.

Syntax

    void mousePressed() {
      statements
    }

Parameters

Usage | Web & Application
Related | mouseX mouseY mouseButton mousePressed mouseReleased() mouseMoved() mouseDragged()

Updated on March 28, 2008 08:50:06pm PDT